This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 144772 - HanWang Tablet incorrectly detected as joystick(?)
HanWang Tablet incorrectly detected as joystick(?)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 09:21 EST by Need Real Name
Modified: 2015-01-04 17:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 01:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-01-11 09:21:58 EST
Description of problem:
HanWang USB writing tablet works fine in Slackware 10.0: /dev/mice +
PS2 driver in xorg.conf runs with no problems.  However, when the same
tablet is plugged in to FC3 it comes up as js0 (verified with cat js0
and moving the device) rather than /dev/mice.  

xorg drivers PS/2 and IMPS/2 both fail to work: the pointer simply
jumps around the screen randomly after the first bit of motion.

jstest /dev/input/js0 detects it as a 5-axis, 2 button joystick,
sending motion information at the right times (i'm not sure how
valid), however the second button fails to work.  (The device has 8
buttons, 2 'main' ones which work perfectly in the PS2 driver under
Slackware 10.0, and 6 on the edge of the tablet, which don't).

lsusb:
Bus 001 Device 004: ID 0b57:8006 Beijing HanwangTechnology Co., Ltd
Bus 001 Device 002: ID 046d:c00e Logitech, Inc. Optical Mouse
Bus 001 Device 001: ID 0000:0000

/var/log/messages:
Jan 11 22:16:17 ruidi kernel: usb 1-2: new low speed USB device using
address 5
Jan 11 22:16:17 ruidi hal.hotplug[13885]: DEVPATH is not set
Jan 11 22:16:17 ruidi kernel: input,hiddev96: USB HID v1.00 Mouse
[HanWang Science Technology HanWang Tablet  ] on usb-0000:00:07.2-2

Version-Release number of selected component (if applicable):
 Version: 039
 Release: 10.FC3.6

How reproducible:
100%

Steps to Reproduce:
1. Plug in the tablet
2. Edit /etc/X11/xorg.conf to add the pointer
3. init 4
4. init 5
5. Move pointer in X
  
Actual results:
Pointer jumps unstoppably all over the screen at the first  motion...

Expected results:
Pointer is usable as per Slackware 10.0.

Additional info:
Slackware 10.0
Comment 1 Harald Hoyer 2005-01-11 12:03:41 EST
reassigning to kernel
Comment 2 Dave Jones 2005-07-15 15:16:20 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Need Real Name 2005-07-15 20:38:49 EDT
I'm still on FC3.

Sorry to be clueless, but how do i install the kernel update requested?  

Both:
  yum update kernel   
  yum install kernel-2.6.12-1.1372_FC3 
... fail.  

I have the fedorafaq repositories config, which includes:
 livna-stable
 fedora-unstable
 fedora-stable
 pre-extras
 livna-unstable
 updates-released
 livna-testing
 base
 fedora-testing

My current kernel is 2.6.11-1.35_FC3.

Cheers for caring about a poor uninformed user :)
Comment 4 Dave Jones 2005-07-15 23:19:08 EDT
"yum update kernel" should do the right thing.

How does it fail ?
Comment 5 Dave Jones 2005-08-26 01:18:46 EDT
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.